# $Revision: 1.10 $, $Date: 2008/01/23 12:09:41 $
%define         gst_major_ver   0.10
%define         gstlibdir       %{_libdir}/gstreamer-%{gst_major_ver}

Summary:	Moodbar plugin for gstreamer
Summary(pl.UTF-8):	Wtyczka do gstreamera generująca Moodbar
Name:		gstreamer-plugins-moodbar
Version:	0.1.2
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	http://pwsp.net/~qbob/moodbar-%{version}.tar.gz
# Source0-md5:	28c8eb65e83b30f71b84be4fab949360
URL:		http://amarok.kde.org/wiki/Moodbar
BuildRequires:	fftw3-single-devel >= 3.0
BuildRequires:	gstreamer-devel >= %{gst_major_ver}
BuildRequires:	rpmbuild(macros) >= 1.194
Requires:	fftw3-single >= 3.0
Requires:	gstreamer-plugins-base >= %{gst_major_ver}
Requires:	gstreamer-plugins-good >= %{gst_major_ver}
Obsoletes:	gstreamer-plugins-moodbar-devel
Obsoletes:	gstreamer-plugins-moodbar-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Moodbar is an algorithm for creating a colorful visual
representation of the contents of an audio file, giving an idea of its
"mood" (this is a rather fanciful term for the simple analysis it
actually does). The Moodbar was invented by Gavin Wood and Simon
O'Keefe for inclusion in the Amarok music player.

This package contains a GStreamer plugin with elements that are used
in the moodbar analysis, and an application that actually does the
analysis.

%description -l pl.UTF-8
Moodbar to algorytm tworzenia kolorowej reprezentacji zawartości
plików audio mówiącej o nastroju danego utworu (to jest raczej
dziwaczne określenie prostej analizy którą dokonuje). Moodbar został
wymyślony przez Gavina Wooda i Simona O'Keefee'a do zastosowania dla
odtwarzacza Amarok.

Ten pakiet zawiera wtyczkę dla systemu GStreamer oraz aplikację, która
dokonuje tej analizy.

%prep
%setup -q -n moodbar-%{version}

%build
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{gstlibdir}/libmoodbar.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner %{name} -e << EOF
 *******************************************************
 *                                                     *
 *  NOTE:                                              *
 *  You must install suitable gstreamer-* packages     *
 *  to work with different audio file formats.         *
 *                                                     *
 *******************************************************

EOF

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/moodbar
%attr(755,root,root) %{gstlibdir}/libmoodbar.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gstreamer-plugins-moodbar.spec,v $
Revision 1.10  2008/01/23 12:09:41  vip
- missing R, BR (thanks to Remigiusz "Enleth" Marcinkiewicz)

Revision 1.9  2007-06-28 17:22:02  deejay1
- up to 0.1.2

Revision 1.8  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.6  2006/09/13 16:28:49  qboosh
- killed useless -devel and -static

Revision 1.5  2006/09/12 18:08:10  glen
- macros for %banner

Revision 1.4  2006/09/12 17:56:39  vip
- banner instead of cat
- still considering existence of -devel package, any comments?

Revision 1.3  2006/09/10 18:17:59  vip
- pl desc

Revision 1.2  2006/09/10 15:58:00  vip
- added R:, banner, changed file paths

Revision 1.1  2006/09/10 15:12:07  vip
- NFY plugin for gstreamer, usable for generating moods in Amarok >= 1.4.3
- TODO: BR, pl, better paths, "is -devel needed"?
